# Uses of Interface
org.eclipse.birt.chart.script.IScriptContext

Packages that use IScriptContext
Package
Description
org.eclipse.birt.chart.factory
Contains classes and interfaces used in the chart building and generation phase.
org.eclipse.birt.chart.script

## Uses of IScriptContext in org.eclipse.birt.chart.factory

Methods in org.eclipse.birt.chart.factory that return IScriptContext
Modifier and Type
Method
Description
`IScriptContext`
RunTimeContext.`getScriptContext()`
Returns an instance of a script context associated with the chart being generated.
Methods in org.eclipse.birt.chart.factory with parameters of type IScriptContext
Modifier and Type
Method
Description
`void`
RunTimeContext.`setScriptContext(IScriptContext csc)`
Sets an instance of a chart script context associated with the chart being generated.

## Uses of IScriptContext in org.eclipse.birt.chart.script

Subinterfaces of IScriptContext in org.eclipse.birt.chart.script
Modifier and Type
Interface
Description
`interface`
`IChartScriptContext`
This interface allows the script to get access to common chart varialbes and communicate with an external context.
Classes in org.eclipse.birt.chart.script that implement IScriptContext
Modifier and Type
Class
Description
`class`
`AbstractScriptContext`
The abstract class implements common methods to store script contexts.
`class`
`ChartScriptContext`
An internal implementation for IChartScriptContext
Methods in org.eclipse.birt.chart.script with parameters of type IScriptContext
Modifier and Type
Method
Description
`void`
AbstractScriptHandler.`setScriptContext(IScriptContext csc)`
Sets the context object of current script handler.